/*************************
* IMPORTANT-READ THIS:  
* Double quotes inside strings must be escaped with a
* backslash. Ex. (Hi and "hello" there!). must be encoded as (Hi and \"hello\" there!)
*
* All lines must end with a comma.
*************************/

var FCPlayerConfig = {
		
	//Version
	version:"1.1.10",
	
	//Domain Key
	domainKey:"",

	//top domain
	top_domain:"",
	
	//Path to FCPlayer folder
	path: window["fcp_path"] || "/FCPlayer/",

	//Base video path (must end in a backslash)
	videoRoot: (window["fcp_path"] || "/FCPlayer/") + "videos/",

	//Player dimensions
	width:450,
	height:300,

	//Window mode for flash component
	wmode:"window",
	
	//Logo
	logoText:"FCPlayer",
	logoImg:"Fastcatlogo.gif",
	
	//Title text
	title:"FCPlayer",
	loadingMsg:" Media Loading...Please Wait",
	bufferMsg:" Buffering ",
	F11Msg:"Press F11 for full screen",
	
	//Window buttons tooltips
	minimize_button_tooltip:"minimize",
	maximize_button_tooltip:"maximize",
	restore_button_tooltip:"restore",
	close_button_tooltip:"close",
	
	//Player window styles
	styles:{
		windowColor:"gray",
		useFrame:true,     //For the embedded mode
		frameColor:"gray", //For the embedded mode
		titleColor:"#ffffff",
		DONOTTOUCHTHIS:0
	},

	//Controls are fixed or sliding?
	slide_controls:false,

	//Optional Buttons
	use_loop_button:true,
	use_full_screen_button:true,
	use_popout_button:true,

	//Pop up window margins (in pixels)
	//The player will adjust itself to fit within these margins.

	pageMarginTop:100,
	pageMarginBottom:100,
	pageMarginLeft:100,
	pageMarginRight:100,

	clientMarginTop:100,
	clientMarginLeft:100,

	//Pop up window location: 1 = position near mouse click 2 = center within client area
	windowPosition:2,

	//Base z-index
	zIndex:100,

	//Video quality (true/false)
	quality:false,
	
	//Default Volume (a number between 0 and 1)
	volume:.5,

	//Default video duration in seconds (A fallback param for videos with no metadata)
	duration:300,

	//Videos have no MetaData? (A fallback param for videos with no metadata)
	noMeta:false,
	
	//Player control tooltips
	back_tooltip :"back",
	forward_tooltip:"forward",
	zoom_in_tooltip:"zoom in",
	zoom_out_tooltip:"zoom out",
	show_all_on_tooltip:"show all mode is ON",
	show_all_off_tooltip:"show all mode is OFF",
	pop_out_tooltip:"pop out",
	full_screen_tooltip:"full screen",
	loop_tooltip:"loop",
	hide_ads_tooltip:"hide ads",
	
	//Ad Templates 
    	adTemplates:{
		template1:{
			name:"template1",
			superimpose:false,
			layout:"vertical",
			width:160,
			hideButton:true,
			adList:[
				{
					url:"",
					link:"",
					alpha:.5
				},
				{
					url:"",
					link:"",
					alpha:.5
				}
			]
			
		},
		template2:{
			name:"template2",
			superimpose:true,
			layout:"horizontal",
			width:80,
			hideButton:false,
			adList:[
				{
					url:"",
					link:"",
					alpha:1
				}
			]
			
		},
		DONOTTOUCHTHIS:0
	},

	//Streamer script resources (you can have up to four different different resources)

		p_resource:"xmoov",
		p_script: (window["fcp_path"] || "/FCPlayer/") + "streamers/xmoov.php",

		p_resource2:"CodeShop_h264",
		p_script2:"",

		p_resource3:"",
		p_script3:"",

		p_resource4:"",
		p_script4:"",
	
	//Buffering/////////////////////////////////////////

		//How much of the video (in seconds) to buffer to before starting.
		startBuffer:.1,

		//Buffer time after a seek
		seekBuffer:.1,

		//Dual buffering parameters
		emptyBuffer:.1,
		fullBuffer:3,

		//Number of slow buffering intervals before switching to slowBuffer
		bufferCount:6,

		//Number of seconds between rebuffering intervals, which, if exceeded, causes a revert back to fastBuffer 
		slowBufferTimeout:4,

		//Default buffer time for fast connections
		fastBuffer:.1,

		//Fallback buffer time for slow connections
		slowBuffer:4,

	//Default plugins
	plugins:null,

	//Plugin scripts to load into the player
	pluginScripts:[
	    //"comments/plugin.js",
	    "defaultplugins.min.js",
		"customplugins.js"
	],

	//For embedding videos on other sites
	share:{
		host:"",
		baseLink:"",
		width:450,
		height:300,
		allowEmbedded:true,
		useCustomEmbedTag:false,
		customEmbedTag:"",
		customEmbedURL:"",
		customEmbedID:"",
		allowOptions:true,
		options:{
			linkOptionEnabled:true
		},
		DONOTTOUCHTHIS:0
	},

	//Plugin menu styles
	menuStyle:{
		left:null,
		top:null,
		offsetLeft:0,
		offsetTop:0,
		width:250,
		height:null,
		color:"black",
		opacity:.7,
		shadow:true,
		padding:"10px",
		backgroundImage:null,
		fontStyles:"font-size: 8pt;font-family:arial;color:white",
		border:"1px solid silver",
		DONOTTOUCHTHIS:0
	},

	//Caption menu styles
	captionStyle:{
		left:null,
		top:null,
		offsetLeft:-15,
		offsetTop:-5,
		width:250,
		height:null,
		color:"black",
		opacity:.7,
		shadow:true,
		padding:"10px",
		backgroundImage:null,
		fontStyles:"font-size: 8pt;font-family:arial;color:white",
		border:"1px solid silver",
		DONOTTOUCHTHIS:0
	},

	//Load plugins scripts?
	usePlugins:true,

	//Skinning 
	skin:"default.swf",
	
	//(style changes can only be applied to adjustable skins)
	controls:{
		background:{
			color:"",
			alpha:""
		},
		//Global button styles
		buttons:{
			up:{
			icon:{
				color:"",
				alpha:""	
			},
			button_pad:{
				colors:["",""],
				alphas:["",""]
			}
		},
		over:{
			icon:{
				color:"",
				alpha:""	
			},
			border:{
				color:"",
				alpha:""
			},
			button_pad:{
				colors:["",""],
				alphas:["",""]
			}
		},
		down:{
			icon:{
				color:"",
				alpha:""	
			},
			border:{
				color:"",
				alpha:""
			},
			button_pad:{
				colors:["",""],
				alphas:["",""]
			}
		}
		},
		progress:{
			track:{
				colors:["",""],
				alphas:["",""]
			},
			loader_bar:{
				colors:["",""],
				alphas:["",""]
			},
			progress_bar:{
				colors:["",""],
				alphas:["",""],
				inner_glow:{
					color:"",
					blur:"",
					strength:""
				}
			}
		},
		timekeeper:{
			display:{
				color:"",
				alpha:""
			},
			pad:{
				colors:["",""],
				alphas:["",""]
			}
		},
		volume:{
			track:{
				colors:["",""],
				alphas:["",""]
			},
			level_bar:{
				colors:["",""],
				alphas:["",""]
			}
		}
	},

	DONOTTOUCHTHIS:0

};

